
						August 1995

The files in this directory are the Atari-specific source files needed
to build GS 3.33 for the Atari ST from the standard unix source.
Obtain and unpack the standard Ghostscript source distribution, and
add these Atari files to them (overwrite duplicate files with the
Atari source).

In addition to the contents of this directory, you will need lots of
memory, lots of disk space, and some properly working Unix-like tools.
MiNT is probably required, but you may be able to get by without it.
The Makefile included is for cross compilation on a SPARC 1+ running
SunOS 4.1.X. Minor modifications will be necessary to make GS on an
Atari machine (it takes many hours to make on an 8MHZ machine).

You will need at least:

gcc >= 1.40 (I used 2.5.8 and mintlibs PL 44),
a good make program (I used gnu make),
a good sh clone (I use ash, which requires MiNT).

Here is a brief description of the files in this directory.

*****
***** Standard GS files modified for the Atari platform.
*****

arch.h     -		Standard GS header with architecture information.
				This is created at compile time, and is
				incorrect if you use a cross compiler.

std.h      -		Standard GS file header, modified to include
				st_winio.h.

gsmain.c   -		Memory is initialized before gp_init is called.

gdevdjet.c -		The deskjet device, I had to change the margins
				a little to keep images from being cut off.

gdevprn.h  -\		Printer device files modified for direct
gdevprn.c  -/			 centronics printing and buffer sizes.


*****
***** Files specific to the Atari platform.
*****

Makefile   -		The gcc/Atari ST cross compilation makefile.

st_defs.h  -		Structure definitions for all Atari source.

st_winio.h -		Header file needed for window I/O and
				centronics printing.

st_rsc.h   -\		GEM resource definitions for Atari GS.
st_rsc.c   -/		

gdevvdi.h  -\		The Atari screen device, including the
gdevvdi.c  -/			assembler image transformations.

gp_atar1.h -\		Atari specific source code for standard
gp_atar1.c -/			platform-specific GS routines.

gp_atar2.h -\		Atari specific source code (some assembler) to
gp_atar2.c -/			  handle events and window/centronics I/0.

gp_atar3.h -\		Atari specific source code for callback functions
gp_atar3.c -/			and window manipulation.

gp_atar4.h -\		Atari specific source code for memory allocation
gp_atar4.c -/			and miscellaneous utility functions.

gp_tosfs.c -		Atari specific source code for standard GS
				platform-specific filesystem functions.

gdevslm.c  -		The SLM laser printer device.

gdevgimg.c -		The GEM image format device.

